if [[ -x /usr/bin/update-desktop-database ]]; then
  /usr/bin/update-desktop-database -q /usr/share/applications >/dev/null 2>&1
fi
if [[ -e usr/share/icons/hicolor/icon-theme.cache ]]; then
  if [[ -x /usr/bin/gtk-update-icon-cache ]]; then
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [[ ! -r $OLD ]]; then
    mv $NEW $OLD
  elif [[ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/lxdm/PreLogin.new
config etc/lxdm/PostLogin.new
config etc/lxdm/PreShutdown.new
config etc/lxdm/PostLogout.new
config etc/lxdm/LoginReady.new
config etc/lxdm/lxdm.conf.new.new
config etc/lxdm/Xsession.new
config etc/lxdm/PreReboot.new
config etc/pam.d/lxdm.new
( cd usr/sbin ; rm -rf gdm )
( cd usr/sbin ; ln -sf lxdm gdm )
